#[macro_export]
macro_rules! fn_selector {
    ($fn_name: ident ( $($fn_arg: ty),* )  ) => {
        fuels::core::codec::encode_fn_selector(stringify!($fn_name)).to_vec()
    };
}

#[macro_export]
macro_rules! call_data {
  ($($arg: expr),* ) => {
    fuels::core::codec::ABIEncoder::new(
      fuels::core::codec::EncoderConfig::default()
    ).encode(
      &[$(::fuels::core::traits::Tokenizable::into_token($arg)),*]
    )
    .unwrap()
  }
}
